aboutsummaryrefslogtreecommitdiffstats
path: root/main/pciutils/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-27 08:37:30 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-27 08:38:09 +0000
commitcb537d0f01ed7483c768aaa9e5a8b062a381d83a (patch)
treeb09b5baa241691ab0af879f78b6d6ce5643ec19f /main/pciutils/APKBUILD
parent7281be9beb644b5d495377a32e217c43e53fac0d (diff)
downloadaports-cb537d0f01ed7483c768aaa9e5a8b062a381d83a.tar.gz
aports-cb537d0f01ed7483c768aaa9e5a8b062a381d83a.tar.bz2
aports-cb537d0f01ed7483c768aaa9e5a8b062a381d83a.tar.xz
main/pciutils: upgrade to 3.1.5
Diffstat (limited to 'main/pciutils/APKBUILD')
-rw-r--r--main/pciutils/APKBUILD31
1 files changed, 21 insertions, 10 deletions
diff --git a/main/pciutils/APKBUILD b/main/pciutils/APKBUILD
index 434350d87c..662d067be6 100644
--- a/main/pciutils/APKBUILD
+++ b/main/pciutils/APKBUILD
@@ -1,29 +1,40 @@
# Contributor: Leonardo Arena <rnalrd@gmail.com>
# Maintainer: Leonardo Arena <rnalrd@gmail.com>
pkgname=pciutils
-pkgver=3.1.4
+pkgver=3.1.5
pkgrel=0
pkgdesc="PCI bus configuration space access library and tools"
url="http://mj.ucw.cz/pciutils.html"
license="GPL"
-depends="uclibc"
-makedepends=""
+depends=
+makedepends=
install=
subpackages="$pkgname-doc $pkgname-dev"
source="http://www.kernel.org/pub/software/utils/$pkgname/$pkgname-$pkgver.tar.gz"
+_builddir="$srcdir"/$pkgname-$pkgver
build() {
- cd "$srcdir/$pkgname-$pkgver"
+ cd "$_builddir"
+ make ZLIB=no \
+ PREFIX=/usr \
+ SHAREDIR=/usr/share/hwdata \
+ MANDIR=/usr/share/man \
+ all || return 1
+}
- make ZLIB=no PREFIX=/usr SHAREDIR=/usr/share/hwdata MANDIR=/usr/share/man all || return 1
- make PREFIX=${pkgdir}/usr SHAREDIR=${pkgdir}/usr/share/hwdata MANDIR=${pkgdir}/usr/share/man install
+package() {
+ cd "$_builddir"
+ make PREFIX="$pkgdir"/usr \
+ SHAREDIR="$pkgdir"/usr/share/hwdata \
+ MANDIR="$pkgdir"/usr/share/man \
+ install
- install -d ${pkgdir}/usr/lib
- install -m644 lib/libpci.a ${pkgdir}/usr/lib
+ install -d "$pkgdir"/usr/lib
+ install -m644 lib/libpci.a "$pkgdir"/usr/lib
for i in config.h header.h pci.h types.h; do
- install -D -m 644 lib/${i} ${pkgdir}/usr/include/pci/${i}
+ install -D -m 644 lib/${i} "$pkgdir"/usr/include/pci/${i}
done
}
-md5sums="63567627e6a73b6c8c29d08d3f5e640c pciutils-3.1.4.tar.gz"
+md5sums="6b25e3abce2efec188974fbc0ebaf575 pciutils-3.1.5.tar.gz"